//SOUND TESTING APPLICATION
//To test Sphere 1.5's fixed sound functions and new SoundEffect functionality.


var font = LoadFont("bitstream-mono-10.rfn");


function game()
{
	var kirby = LoadSound("kirby.it");
	kirby.play(true);
	
	while (!IsKeyPressed(KEY_ESCAPE))
	{
		font.drawTextHorizontallyCentered(10, "=== SOUND TESTER ===");
		font.drawTextHorizontallyCentered(70, "Right - fast forward");
		font.drawTextHorizontallyCentered(80, "P - pause");
		FlipScreen();
		
		while (AreKeysLeft())
		{
			var key = GetKey();
			
			if (IsKeyPressed(KEY_RIGHT)) kirby.setPosition(kirby.getPosition()+50);
			
			if (key == KEY_P && kirby.isPlaying()) kirby.pause();
			else kirby.play();
		}
	}
}



font.drawTextHorizontallyCentered = function(y, text)
{
	var x = (GetScreenWidth() - font.getStringWidth(text)) / 2;
	font.drawText(x, y, text);
}

font.drawTextVerticallyCentered = function(x, text)
{
	var y = (GetScreenHeight() - font.getHeight()) / 2;
	font.drawText(x, y, text);
}

font.drawTextCentered = function(text)
{
	var x = (GetScreenWidth() - font.getStringWidth(text)) / 2;
	var y = (GetScreenHeight() - font.getHeight()) / 2;
	font.drawText(x, y, text);
}
